Version 21.03.21 cannot work on my mac

I have downloaded the Recommended Stable Version: 21.03.21 onto my mac.
But upon installation, there is this message here.

I’m using a Mid 2012 Mac, the OS is 10.14.6 Mojave.
Any version which I can use or any reason why it is not working here? Thank you.

2021-06-24_21-25-58

This is not a bug. You downloaded the wrong build. You downloaded the ARM build for the new Apple Silicon M1 chips. You should have downloaded the Intel build.

This topic was automatically closed after 89 days. New replies are no longer allowed.